/**
 * Tools for the VPL IDE
 *
 * @copyright 2016 Juan Carlos Rodríguez-del-Pino
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @author Juan Carlos Rodríguez-del-Pino <jcrodriguez@dis.ulpgc.es>
 */
define("mod_vpl/vplutil",["jquery","core/log"],(function($,log){var VPLUtil={};VPLUtil.doNothing=$.noop,VPLUtil.returnFalse=function(){return!1},VPLUtil.returnTrue=function(){return!0};var fileUniqueId,MIME,maplang,mapname,i18n,strreg,lastProccessID,scriptsLoaded,debugMode=!1;return VPLUtil.log=function(m,forced){(debugMode||forced)&&log.debug(m)},VPLUtil.setUserPreferences=function(pref){$.ajax({async:!0,type:"POST",url:"../editor/userpreferences.json.php",data:JSON.stringify(pref),contentType:"application/json; charset=utf-8",dataType:"json"})},VPLUtil.getUserPreferences=function(func){$.ajax({async:!0,type:"POST",url:"../editor/userpreferences.json.php",data:JSON.stringify({getPreferences:!0}),contentType:"application/json; charset=utf-8",dataType:"json"}).done(func)},VPLUtil.sanitizeHTML=function(t){return void 0===t||""==t.replace(/^\s+$/g,"")?"":$("<div>"+t+"</div>").html()},VPLUtil.sanitizeText=function(s){return void 0===s||""==s.replace(/^\s+$/g,"")?"":s.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")},VPLUtil.setProtocol=function(coninfo){var secure;if(0==coninfo.securePort||0==coninfo.port)secure=0==coninfo.port;else switch(coninfo.wsProtocol){case"always_use_wss":secure=!0;break;case"always_use_ws":secure=!1;break;default:secure="https:"==window.location.protocol}var URLBase=(secure?"wss://":"ws://")+coninfo.server;coninfo.secure=secure,coninfo.portToUse=secure?coninfo.securePort:coninfo.port,URLBase+=":"+coninfo.portToUse+"/",coninfo.monitorURL=URLBase+coninfo.monitorPath,coninfo.executionURL=URLBase+coninfo.executionPath},VPLUtil.ArrayBuffer2String=function(data){var i,len,view=new Uint8Array(data),chunks=[];for(i=0,len=view.length;i<len;i+=32e3)chunks.push(String.fromCharCode.apply(String,view.subarray(i,Math.min(i+32e3,len))));return chunks.join("")},VPLUtil.String2ArrayBuffer=function(data){for(var len=data.length,ret=new ArrayBuffer(len),u8=new Uint8Array(ret),i=0;i<len;i++)u8[i]=data.charCodeAt(i);return ret},fileUniqueId=0,VPLUtil.getUniqueId=function(){return fileUniqueId++},function(){var regExt=/\.([^.]*)$/,regImg=/^(gif|jpg|jpeg|png|ico)$/i,regBin=/^(zip|jar|pdf|tar|bin|7z|arj|deb|gzip|rar|rpm|dat|db|dll|rtf|doc|docx|odt|exe|com)$/i,regBlk=/^blockly[0123]?$/;VPLUtil.fileExtension=function(fileName){var res=regExt.exec(fileName);return null!==res?res[1]:""},VPLUtil.isImage=function(fileName){return regImg.test(VPLUtil.fileExtension(fileName))},VPLUtil.isBinary=function(fileName){return VPLUtil.isImage(fileName)||regBin.test(VPLUtil.fileExtension(fileName))},VPLUtil.isBlockly=function(fileName){return regBlk.test(VPLUtil.fileExtension(fileName))};var regInvalidFileName=/[\cA-\cZ]|[:-@]|[{-~]|\\|\[|\]|[/^`´]|^-|^ | $|\.\./;VPLUtil.validFileName=function(fileName){return!(fileName.length<1)&&(!(fileName.length>128)&&!regInvalidFileName.test(fileName))}}(),VPLUtil.getCurrentTime=function(){return parseInt((new Date).valueOf()/1e3)},VPLUtil.encodeBinary=function(name,data){return VPLUtil.isBinary(name)?btoa(VPLUtil.ArrayBuffer2String(data)):btoa(unescape(encodeURIComponent(data)))},VPLUtil.decodeBinary=function(name,data){var decoded=atob(data);return VPLUtil.isBinary(name)?VPLUtil.String2ArrayBuffer(decoded):decodeURIComponent(escape(decoded))},VPLUtil.validPath=function(path){if(path.length>256)return!1;for(var dirs=path.split("/"),i=0;i<dirs.length;i++)if(!VPLUtil.validFileName(dirs[i]))return!1;return!0},VPLUtil.getFileName=function(path){var dirs=path.split("/");return dirs[dirs.length-1]},VPLUtil.dataFromURLData=function(data){return data.substr(data.indexOf(",")+1)},MIME={gif:"image/gif",jpg:"image/jpeg",jpeg:"image/jpeg",png:"image/png",ico:"image/vnd.microsoft.icon",pdf:"application/pdf"},VPLUtil.getMIME=function(fileName){var ext=VPLUtil.fileExtension(fileName);return ext in MIME?MIME[ext]:"application/octet-stream"},VPLUtil.getTimeLeft=function(timeLeft){var res="";timeLeft<0&&(res+="-",timeLeft=-timeLeft);var timePending=timeLeft,days=parseInt(timePending/86400);timePending-=86400*days,0!==days&&(res+=days+"T");var hours=parseInt(timePending/3600);timePending-=3600*hours;var minutes=parseInt(timePending/60);timePending-=60*minutes;var seconds=parseInt(timePending);return res+=("00"+hours).substr(-2)+":",res+=("00"+minutes).substr(-2),timeLeft<3600&&(res+=":"+("00"+seconds).substr(-2)),res},maplang={Abap:"abap",ABC:"abc",Ada:"ada",ActionScript:"actionscript","x86 assembly":"assembly_x86",Bash:"sh",Batch:"batchfile",C:"c_cpp","C++":"c_cpp","VPL cases":"cases",Cobol:"cobol",CoffeeScript:"coffee",Clojure:"clojure","C#":"csharp","C# project":"xml",CSS:"css",D:"d",Dart:"dart",Eiffel:"eiffel",Erlang:"erlang","F#":"fsharp","F# project":"xml",Fortran:"fortran",Go:"golang",Groovy:"groovy",Dot:"dot",Haskell:"haskell",HTML:"html",Haxe:"haxe",Java:"java",Julia:"julia",JavaScript:"javascript",JSON:"json",JSP:"jsp",JSX:"jsx",Kotlin:"kotlin",Matlab:"matlab",Markdown:"markdown",Less:"less",LISP:"lisp",Lua:"lua",Pascal:"pascal",Perl:"perl",PHP:"php",Prolog:"prolog",PSeInt:"pseint",Python:"python",R:"r",Ruby:"ruby",Rust:"rust",SASS:"sass",Scala:"scala",Scheme:"scheme",SCSS:"scss","Bash/shell":"sh",Swift:"swift",SQL:"sql",SVG:"svg",TeX:"tex",tcl:"tcl",TypeScript:"typescript",Twig:"twig",VBScript:"vbscript",Verilog:"verilog",VisualBasic:"vbscript","VisualBasic project":"xml",VHDL:"vhdl",XML:"xml",Yaml:"yaml"},mapname={abap:"Abap",abc:"ABC",ada:"Ada",ads:"Ada",adb:"Ada",as:"ActionScript",as3:"ActionScript",asm:"x86 assembly",bash:"Bash",bat:"Batch",c:"C",C:"C++",cc:"C++",cpp:"C++","c++":"C++",hxx:"C++",h:"C",H:"C++",cases:"VPL cases",cbl:"Cobol",cob:"Cobol",coffee:"CoffeeScript",clj:"Clojure",cs:"C#",csproj:"C# project",css:"CSS",d:"D",dart:"Dart",e:"Eiffel",erl:"Erlang",hrl:"Erlang",f:"Fortran",f77:"Fortran",f90:"Fortran",for:"Fortran",fs:"F#",fsproj:"F# project",go:"Go",groovy:"Groovy",gv:"Dot",hs:"Haskell",htm:"HTML",html:"HTML",hx:"Haxe",java:"Java",jl:"Julia",js:"JavaScript",json:"JSON",jsp:"JSP",jsx:"JSX",kt:"Kotlin",kts:"Kotlin",m:"Matlab",md:"Markdown",less:"Less",lisp:"LISP",lsp:"LISP",lua:"Lua",pas:"Pascal",p:"Pascal",perl:"Perl",prl:"Perl",php:"PHP",pro:"Prolog",pl:"Prolog",psc:"pseint",py:"Python",R:"R",r:"R",rb:"Ruby",ruby:"Ruby",rs:"Rust",s:"x86 assembly",sass:"SASS",scala:"Scala",scm:"Scheme",scss:"SCSS",sh:"Bash/shell",swift:"Swift",sql:"SQL",svg:"SVG",tex:"TeX",tcl:"TCL",ts:"TypeScript",twig:"Twig",vb:"VisualBasic",vbproj:"VisualBasic project",vbs:"VBSscript",v:"Verilog",vh:"Verilog",vhd:"VHDL",vhdl:"VHDL",xml:"XML",yaml:"YAML"},VPLUtil.getLangNames=function(){return Object.assign({},mapname)},VPLUtil.langType=function(ext){return ext in mapname?maplang[mapname[ext]]:"plain_text"},VPLUtil.langName=function(ext){return ext in mapname?mapname[ext]:"Plain text"},i18n={},strreg=/\{\\*\$a\\*}/g,VPLUtil.str=function(key,parm){return i18n[key]?void 0!==parm?i18n[key].replace(strreg,parm):i18n[key]:"{"+key+"}"},VPLUtil.setStr=function(newi18n){for(var key in newi18n)newi18n.hasOwnProperty(key)&&(i18n[key]=newi18n[key])},VPLUtil.setStr(window.VPLi18n),function(){var delayedActions={},afterAllActions={},numberDelayed=0,internalDelay=function(timeout,id,func,arg1,arg2){void 0!==delayedActions[id]&&(clearTimeout(delayedActions[id]),numberDelayed--),numberDelayed++,delayedActions[id]=setTimeout((function(){numberDelayed--,func(arg1,arg2),delete delayedActions[id]}),timeout)};VPLUtil.delay=function(id,func,arg1,arg2){internalDelay(20,id,func,arg1,arg2)},VPLUtil.longDelay=function(id,func,arg1,arg2){internalDelay(100,id,func,arg1,arg2)};var setAfterTimeout=function(id,func,arg1,arg2){void 0!==afterAllActions[id]&&clearTimeout(afterAllActions[id]),afterAllActions[id]=setTimeout((function(){numberDelayed>0?afterAllActions[id]=setAfterTimeout(id,func,arg1,arg2):(func(arg1,arg2),delete afterAllActions[id])}),100)};VPLUtil.afterAll=function(id,func,arg1,arg2){setAfterTimeout(id,func,arg1,arg2)}}(),VPLUtil.supportWebSocket=function(){return"WebSocket"in window},VPLUtil.isAndroid=function(){return window.navigator.userAgent.indexOf("Android")>-1},VPLUtil.isFirefox=function(){return window.navigator.userAgent.indexOf("Firefox")>-1},VPLUtil.isMac=function(){return window.navigator.userAgent.indexOf("Mac")>-1},lastProccessID=-1,VPLUtil.setProcessId=function(id){lastProccessID=id},VPLUtil.getProcessId=function(){return lastProccessID},VPLUtil.directRun=function(URL,command,files){var deferred=$.Deferred();return $.ajax({async:!0,type:"POST",url:URL+"directrun",data:JSON.stringify({command:command,files:files}),contentType:"application/json; charset=utf-8",dataType:"json"}).done((function(result){if(result.success){var response=result.response;VPLUtil.setProtocol(response);var ws=new WebSocket(response.executionURL);log.debug("Conecting with:"+response.executionURL),deferred.resolve({processid:response.processid,homepath:response.homepath,connection:ws})}else deferred.reject(result.error)})).fail((function(jqXHR,textStatus,errorThrown){var message="Connection fail: "+textStatus;null!=errorThrown.message&&(message+=": "+errorThrown.message),log.debug(message),deferred.reject(message)})),deferred},VPLUtil.directRunTest=function(URL,command,data){VPLUtil.directRun(URL,command,[{name:"a.c",contents:"int main(){return 0;}",encoding:0},{name:"b.c",contents:"int f(){return 1;}",encoding:0}]).done((function(result){var mcount=0;result.connection.onopen=function(){log.debug("Ws open "+result.homepath+" processid "+result.processid),null!=data&&result.connection.send(data),setTimeout((function(){result.connection.close()}),6e5)},result.connection.onmessage=function(event){log.debug("WS Message ("+ ++mcount+"): "+event.data),mcount>=10&&result.connection.close()},result.connection.onerror=function(event){log.debug("WS error: "+event)},result.connection.onclose=function(event){log.debug("WS close: "+event.code+" "+event.reason)}})).fail((function(message){log.debug("Direct run fail. URL: "+URL+" command: "+command+" message: "+message)}))},VPLUtil.processResult=function(text,filenames,sh,noFormat,folding){if(void 0===text||""==text.replace(/^\s+$/gm,""))return"";function escReg(t){return t.replace(/[-[\]{}()*+?.,\\^$|#\s]/,"\\$&")}var regtitgra=/\([-]?[\d]+[.]?[\d]*\)\s*$/,regtit=/^-.*/,regcas=/^\s*>/,regError=new RegExp("\\[err\\]|error|"+escReg(VPLUtil.str("error")),"i"),regWarning=new RegExp("\\[warn\\]|warning|note|"+escReg(VPLUtil.str("warning")),"i"),regInformation=new RegExp("\\[info\\]|information","i"),state="",html="",comment="",case_="",lines=text.split(/\r\n|\n|\r/),regFiles=[],lastAnotation=!1,lastAnotationFile=!1,afterTitle=!1;function getHref(i){return void 0===sh[i].getTagId?'href="#" ':'href="#'+sh[i].getTagId()+'" '}function genFileLinks(line,rawline){for(var used=!1,i=0;i<regFiles.length;i++)for(var match,reg=regFiles[i];null!==(match=reg.exec(line));){var type,anot=sh[i].getAnnotations();lastAnotationFile=i,used=!0,type=line.search(regError)>-1?"error":line.search(regWarning)>-1?"warning":line.search(regInformation)>-1?"info":"error",lastAnotation={row:match[3]-1,column:match[5],type:type,text:rawline},anot.push(lastAnotation);var fileName=filenames[i],href=getHref(i),lt=VPLUtil.sanitizeText(fileName),data='data-file="'+fileName+'" data-line="'+match[3]+'"';line=line.replace(reg,"$1<a "+href+' class="vpl_fl" '+data+">"+lt+"$2$3$4$5$6</a>"),sh[i].setAnnotations(anot)}return!used&&lastAnotation&&(""!==rawline?(lastAnotation.text+="\n"+rawline,sh[lastAnotationFile].setAnnotations(sh[lastAnotationFile].getAnnotations())):lastAnotation=!1),line}function getTitle(line){lastAnotation=!1,line=line.substr(1);var end=regtitgra.exec(line);null!==end&&(line=line.substr(0,line.length-end[0].length));var html="";return folding&&(html+='<a href="javascript:void(0)" onclick="VPLUtil.showHideDiv(this)">[+]</a>'),html=genFileLinks(html+='<b class="ui-widget-header ui-corner-all">'+VPLUtil.sanitizeText(line)+"</b><br>",line)}function getComment(){lastAnotation=!1;var ret=comment;return comment="",ret}function addComment(rawline){var line=VPLUtil.sanitizeText(rawline);comment+=genFileLinks(line,rawline)+"<br>"}function addCase(rawline){var line=VPLUtil.sanitizeText(rawline);case_+=genFileLinks(line,rawline)+"\n"}function getCase(){lastAnotation=!1;var ret=case_;return case_="","<pre><i>"+ret+"</i></pre>"}!function(){for(var i=0;i<filenames.length;i++){var reg="(^| |/)"+escReg(filenames[i])+"( on line | line |:|\\()(\\d+)(:|,)?(\\d+)?(\\))?";regFiles[i]=new RegExp(reg,"m")}}();for(var i=0;i<lines.length;i++){var line=lines[i];if(noFormat)html+=genFileLinks(VPLUtil.sanitizeText(line),line)+"\n";else{var match=regcas.exec(line),regcasv=regcas.test(line);if(null!==match!=regcasv&&VPLUtil.log("error"),regtit.test(line)){switch(state){case"comment":html+=getComment();break;case"case":html+=getCase()}afterTitle&&(html+="</div>"),html+=getTitle(line),html+=folding?'<div style="display:none">':"<div>",afterTitle=!0,state=""}else regcasv?("comment"==state&&(html+=getComment()),addCase(line.substr(match[0].length)),state="case"):("case"==state&&(html+=getCase()),addComment(line),state="comment")}}switch(state){case"comment":html+=getComment();break;case"case":html+=getCase()}return afterTitle&&(html+="</div>"),html},scriptsLoaded=[],VPLUtil.loadScript=function(scripts,end){if(0!=scripts.length){var scriptURL=scripts[0];if(void 0===scriptsLoaded[scriptURL]){scripts.shift(),scriptsLoaded[scriptURL]=1;var script=document.createElement("script");script.type="text/javascript",script.src=VPLUtil.options.scriptPath+scriptURL,script.onload=function(){scriptsLoaded[scriptURL]=2,VPLUtil.loadScript(scripts,end)},document.head.appendChild(script)}else if(2==scriptsLoaded[scriptURL])scripts.shift(),VPLUtil.loadScript(scripts,end);else{var fullScriptPath=VPLUtil.options.scriptPath+scriptURL;VPLUtil.log("Loading js "+fullScriptPath+" (state "+scriptsLoaded[scriptURL]+")"),setTimeout((function(){VPLUtil.loadScript(scripts,end)}),50)}}else end()},VPLUtil.isScriptLoading=function(scriptURL){return void 0!==scriptsLoaded[scriptURL]&&1==scriptsLoaded[scriptURL]},VPLUtil.isScriptLoaded=function(scriptURL){return void 0!==scriptsLoaded[scriptURL]&&2==scriptsLoaded[scriptURL]},function(){var files=[],results=[],shs=[],nFileGroupHighlighter=0;function FileGroupHighlighter(files,results){this.files=files,this.results=results,this.shFiles=[],this.shFileNames=[],this.fileGroupId=nFileGroupHighlighter,nFileGroupHighlighter++,this.highlight()}FileGroupHighlighter.prototype.highlightBlockly=function(preid){VPLUtil.loadScript(["/blockly/blockly_compressed.js","/blockly/msg/js/en.js","/blockly/blocks_compressed.js"],(function(){var tag=$("#"+preid),c=tag.html();$("#"+preid+"load").remove(),tag.html(""),tag.show(),c=$("<div />").html(c).text().replace(/\n/g,"");var xml=Blockly.Xml.textToDom(c);tag.html("").height(300).width(tag.parent().width());var work=Blockly.inject(preid,{toolbox:"",readOnly:!0,media:"../editor/blockly/media/"});Blockly.Xml.domToWorkspace(xml,work);var hg=VPLUtil.adjustBlockly(work,10,10);tag.height(hg),tag.width("100%"),Blockly.svgResize(work),Blockly.resizeSvgContents(work);var h=tag.html();work.dispose(),tag.html(h)}))},FileGroupHighlighter.prototype.highlight=function(){var self=this,needAce=!1,files=this.files;for(let i=0;i<files.length;i++){let file=files[i];if(!VPLUtil.isBinary(file.fileName)&&!VPLUtil.isBlockly(file.fileName)){needAce=!0;break}}needAce&&"undefined"==typeof ace?VPLUtil.loadScript(["/ace9/ace.js"],(function(){self.highlight()})):VPLUtil.delay("FFGH."+self.fileGroupId,(function(){self.highlightStep(0)}))},FileGroupHighlighter.prototype.highlightStep=function(pos){if(pos>=this.files.length)return void this.resultStep(0);let file=this.files[pos],preid="code"+file.tagId;if(VPLUtil.isBlockly(file.fileName))this.highlightBlockly(preid);else{var ext=VPLUtil.fileExtension(file.fileName),lang=VPLUtil.langType(ext);$("#"+preid).show(),$("#"+preid+"load").remove();var sh=ace.edit(preid);sh.setTheme("ace/theme/"+file.theme),sh.getSession().setMode("ace/mode/"+lang),sh.renderer.setShowGutter(file.showln),sh.setReadOnly(!0),sh.setHighlightActiveLine(!1),sh.setAutoScrollEditorIntoView(!0),sh.setOption("maxLines",file.nl),sh.getAnnotations=function(){return this.getSession().getAnnotations()},sh.setAnnotations=function(a){return this.getSession().setAnnotations(a)},sh.getTagId=function(){return this.vplTagId},sh.vplTagId=file.tagId,this.shFiles.push(sh),this.shFileNames.push(file.fileName),shs[file.tagId]=sh}var self=this;VPLUtil.delay(preid+".next",(function(){self.highlightStep(pos+1)}))},FileGroupHighlighter.prototype.resultStep=function(pos){if(!(pos>=this.results.length)){var self=this,result=this.results[pos],tag=document.getElementById(result.tagId),text=tag.textContent||tag.innerText;tag.innerHTML=VPLUtil.processResult(text,this.shFileNames,this.shFiles,result.noFormat,result.folding),VPLUtil.delay(result.tagId+".next",(function(){self.resultStep(pos+1)}))}},VPLUtil.addResults=function(tagId,noFormat,folding){results.push({tagId:tagId,noFormat:noFormat,folding:folding})},VPLUtil.syntaxHighlightFile=function(tagId,fileName,theme,showln,nl){files.push({tagId:tagId,fileName:fileName,theme:theme,showln:showln,nl:nl})},VPLUtil.syntaxHighlight=function(){var groupFiles=files,groupResults=results;files=[],results=[],new FileGroupHighlighter(groupFiles,groupResults)},VPLUtil.flEventHandler=function(event){var tag=event.target.getAttribute("href").substring(1),line=event.target.getAttribute("data-line"),sh=shs[tag];sh.gotoLine(line,0),sh.scrollToLine(line,!0)},VPLUtil.setflEventHandler=function(){for(var links=document.getElementsByClassName("vpl_fl"),i=0;i<links.length;i++)links[i].onclick=VPLUtil.flEventHandler},VPLUtil.showHideDiv=function(a){var text=a,div=a;for(div.nextSibling||(div=div.parentNode),div=div.nextSibling;"DIV"!=div.nodeName&&"PRE"!=div.nodeName;)if(!(div=div.nextSibling))return;text&&("[+]"==text.innerHTML?(div.savedDisplay?div.style.display=div.savedDisplay:div.style.display="",text.innerHTML="[-]"):(div.savedDisplay=div.style.display,div.style.display="none",text.innerHTML="[+]"))},VPLUtil.adjustBlockly=function(work,offx,offy){for(var blocks=work.getAllBlocks(),miy=2e4,may=-2e4,mix=2e4,max=-2e4,i=0;i<blocks.length;i++){var xy=blocks[i].getRelativeToSurfaceXY();miy=Math.min(miy,xy.y),may=Math.max(may,xy.y),mix=Math.min(mix,xy.x),max=Math.max(max,xy.x)}blocks=work.getTopBlocks();for(var j=0;j<blocks.length;j++)blocks[j].moveBy(offx-mix,offy-miy);return may-miy+100+offy}}(),VPLUtil.options={scriptPath:""},void 0!==window.VPLDebugMode&&(debugMode=window.VPLDebugMode),VPLUtil.init=function(options){VPLUtil.options={scriptPath:""},$.extend(VPLUtil.options,options),void 0!==window.VPLDebugMode&&(debugMode=window.VPLDebugMode),VPLUtil.log(VPLUtil.options)},window.VPLUtil=VPLUtil,VPLUtil}));

//# sourceMappingURL=vplutil.min.js.map